Browse Source

gnu: python-pyatspi: Propagate python-pygobject.

As python-pygobject is required at runtime.

* gnu/packages/gnome.scm (python-pyatspi)[inputs]: Move python-pygobject to…
[propagated-inputs]: …here.
(python2-pyatspi)[inputs]: Move python2-pygobject to…
[propagated-inputs]: …here.
gn-latest-20200725
Christopher Baines 2 years ago
parent
commit
06fe35cf0c
No known key found for this signature in database GPG Key ID: 5E28A33B0B84F577
  1. 10
      gnu/packages/gnome.scm

10
gnu/packages/gnome.scm

@ -8849,8 +8849,9 @@ from gi.repository import Atspi"))
(native-inputs
`(("pkg-config" ,pkg-config)))
(inputs
`(("python" ,python)
("python-pygobject" ,python-pygobject)))
`(("python" ,python)))
(propagated-inputs
`(("python-pygobject" ,python-pygobject)))
(synopsis "Python client bindings for D-Bus AT-SPI")
(home-page "https://wiki.linuxfoundation.org/accessibility\
/atk/at-spi/at-spi_on_d-bus")
@ -8865,8 +8866,9 @@ accessibility infrastructure.")
(inherit python-pyatspi)
(name "python2-pyatspi")
(inputs
`(("python" ,python-2)
("python-pygobject" ,python2-pygobject)))))
`(("python" ,python-2)))
(propagated-inputs
`(("python-pygobject" ,python2-pygobject)))))
(define-public orca
(package

Loading…
Cancel
Save